Bug 251662 - www/py-httpie: Use noflavors since it is an app instead of a library
Summary: www/py-httpie: Use noflavors since it is an app instead of a library
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-07 08:21 UTC by Guangyuan Yang
Modified: 2021-01-08 02:05 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2020-12-07 08:21:18 UTC
I would also like to have it renamed to www/httpie, since it is an app instead of a library. 

An example is misc/thefuck: https://svnweb.freebsd.org/ports/head/misc/thefuck/Makefile?revision=458123&view=markup
Comment 1 Alex Dupre freebsd_committer 2020-12-09 09:30:35 UTC
I'm in favor for this change, I had never approved the flavor change.
Adding Danilo to know what was the reason to do that in the past (PR 213728) and if it's now superseded.
Comment 2 Danilo G. Baio freebsd_committer 2020-12-10 11:34:22 UTC
Besides simplifying the name, what will be improved here?
  $ pkg install httpie VS pkg install py37-httpie

Note that this port is a library to another, and besides that, there are only benefits having flavors, even if it's only an app for end/user.

You'll see this when you have issues between Python versions, like we had with Python 2 and 3.

I would suggest keeping this as it is.

And please, refer to the Python Ports Policy:
https://wiki.freebsd.org/Python/PortsPolicy
Comment 3 Alex Dupre freebsd_committer 2020-12-10 14:04:19 UTC
Ok, I wasn't aware it was used as a library, too. I'd say we can close this PR, then. Any objection Guangyuan?
Comment 4 Guangyuan Yang freebsd_committer 2020-12-10 17:19:20 UTC
(In reply to Danilo G. Baio from comment #2)

Ah, I just assumed there would be no such dependencies, thanks for pointing it out!

Alex: Thanks! No objection here, closing the PR.